diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..e69de29
diff --git a/90-epel.preset b/90-epel.preset
deleted file mode 100644
index d4d9701..0000000
--- a/90-epel.preset
+++ /dev/null
@@ -1,5 +0,0 @@
-# See https://docs.fedoraproject.org/en-US/packaging-guidelines/DefaultServices/
-# for the Fedora policy. EPEL follows the same policy. The EPEL Steering
-# Committee can approve exceptions to the policy, which will be defined in this
-# file.
-
diff --git a/GPL-2.0-only.txt b/GPL
similarity index 93%
rename from GPL-2.0-only.txt
rename to GPL
index 9efa6fb..fd8bee7 100644
--- a/GPL-2.0-only.txt
+++ b/GPL
@@ -1,12 +1,20 @@
- GNU GENERAL PUBLIC LICENSE
- Version 2, June 1991
+*****************************************************************************
+The following copyright applies to the Red Hat Linux compilation and any
+portions of Red Hat Linux it does not conflict with. Whenever this
+policy does conflict with the copyright of any individual portion of Red Hat
+Linux, it does not apply.
- Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
-
+*****************************************************************************
+
+ GNU GENERAL PUBLIC LICENSE
+ Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+ 675 Mass Ave, Cambridge, MA 02139, USA
Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.
- Preamble
+ Preamble
The licenses for most software are designed to take away your
freedom to share and change it. By contrast, the GNU General Public
@@ -15,7 +23,7 @@ software--to make sure the software is free for all its users. This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it. (Some other Free Software Foundation software is covered by
-the GNU Lesser General Public License instead.) You can apply it to
+the GNU Library General Public License instead.) You can apply it to
your programs, too.
When we speak of free software, we are referring to freedom, not
@@ -55,8 +63,8 @@ patent must be licensed for everyone's free use or not licensed at all.
The precise terms and conditions for copying, distribution and
modification follow.
-
- GNU GENERAL PUBLIC LICENSE
+
+ GNU GENERAL PUBLIC LICENSE
TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
0. This License applies to any program or other work which contains
@@ -110,7 +118,7 @@ above, provided that you also meet all of these conditions:
License. (Exception: if the Program itself is interactive but
does not normally print such an announcement, your work based on
the Program is not required to print an announcement.)
-
+
These requirements apply to the modified work as a whole. If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
@@ -168,7 +176,7 @@ access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.
-
+
4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License. Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
@@ -225,7 +233,7 @@ impose that choice.
This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.
-
+
8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
@@ -255,7 +263,7 @@ make exceptions for this. Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.
- NO WARRANTY
+ NO WARRANTY
11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
@@ -277,9 +285,9 @@ YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.
- END OF TERMS AND CONDITIONS
-
- How to Apply These Terms to Your New Programs
+ END OF TERMS AND CONDITIONS
+
+ Appendix: How to Apply These Terms to Your New Programs
If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
@@ -291,7 +299,7 @@ convey the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.
- Copyright (C)
+ Copyright (C) 19yy
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
@@ -303,15 +311,16 @@ the "copyright" line and a pointer to where the full notice is found.
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
- You should have received a copy of the GNU General Public License along
- with this program; if not, see .
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
Also add information on how to contact you by electronic and paper mail.
If the program is interactive, make it output a short notice like this
when it starts in an interactive mode:
- Gnomovision version 69, Copyright (C) year name of author
+ Gnomovision version 69, Copyright (C) 19yy name of author
Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
This is free software, and you are welcome to redistribute it
under certain conditions; type `show c' for details.
@@ -328,11 +337,11 @@ necessary. Here is a sample; alter the names:
Yoyodyne, Inc., hereby disclaims all copyright interest in the program
`Gnomovision' (which makes passes at compilers) written by James Hacker.
- , 1 April 1989
- Moe Ghoul, President of Vice
+ , 1 April 1989
+ Ty Coon, President of Vice
This General Public License does not permit incorporating your program into
proprietary programs. If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
-library. If this is what you want to do, use the GNU Lesser General
+library. If this is what you want to do, use the GNU Library General
Public License instead of this License.
diff --git a/RPM-GPG-KEY-EPEL-10 b/RPM-GPG-KEY-EPEL-10
deleted file mode 100644
index adf4f88..0000000
--- a/RPM-GPG-KEY-EPEL-10
+++ /dev/null
@@ -1,29 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-
-mQINBGV4X6kBEAC3eQxgiWuo08uc3mHo4ELux++uqTnYz/tJzEf9Ou3h36WnhumA
-Nvs+Ts5h8PBx879Y9/aIX1Z20p1kf6tBCinZnEJu59n+TAAsph0+XQlV1l5YkleK
-Z2ff/Fg65k8QcLXWaIGykA/FaKznRiSurGuD6tRGhJw7DawEwBJr8QZSkRUpnH1L
-URW97Q/iKrRPiE5VEayE0y8eAL28jIIiFvR+4oJMzvCsRRB/2wYZ2MlJOW91hcYf
-mbUoXKOBD5UzsJylu7kj25K/ge8rEJ7KicOOwcdYddxsU3DxGSSfwF8AMagENcm2
-XROeXknjm84A8sNlUkFZBJwfuc7eRTiZGJrnQQVYLrkKj8Mxpq9Ts7hU51TqAWNI
-uvGDlJdYNE3D2RMqjMEsZ8ej08Thrib6xslu4NzTBkt+6QNnXL4E3hEgYtoyio60
-GswSz2ulogKg7X4JrNdJYE8/qNowyF3hoVgj5TG1/wQRq+5HlMMOLjgGu9wzLUix
-fnVfEUnzaofbrUf4/GabCaeY8xRe4tFQrvzigQ4g+kgwKKnfAeqBmPov0yljkw9z
-BYJWR5zvaw0ffg9Ing00KUSaXBXA5jSlgk1603Y+LefY1SlXsTyqohiRvGH6FI77
-HNMo72DwoJfFcYjncZUzKgXWJECR4nhVsdj6pKoOjcQ4aSuyVxtsR86ASQARAQAB
-tChGZWRvcmEgKGVwZWwxMCkgPGVwZWxAZmVkb3JhcHJvamVjdC5vcmc+iQJOBBMB
-CAA4FiEEfY0Vy/xOYmiFkfsmM9mFF+N+0VgFAmV4X6kCGw8FCwkIBwIGFQoJCAsC
-BBYCAwECHgECF4AACgkQM9mFF+N+0Vhv/A/+PlhPLSctGRCUEahE+cN4764Acc3p
-l40ZYzXRhqR0/Tc1/cSDjlA3qVTc8SPohi5OJXwCyr9EiMqKoyoDN097euqbYpyp
-yN/Pj0lBjsXwcpdDtZ21WGeQU0Khb04N68bMtJbDaxeBciTvDDQravZuPPh0m4Rg
-Z6myEoa6Aa6EK0hI1Qwi1qIWeRiuEkVT671IaKVETBW5XiUpNBXDAB/L+6DzUF9u
-scBzfsUDiPO6NrpYDtV3jwq22y6gWluIct/Ka8brwPbqK2sBfFzrHboRhfqlTGjs
-7F9qUGwIQZn/A8iozXZYQ0+JG1bhQyvjA8eN1GOcRpT+O7H7JXN49o6IG2As4+iK
-F04+qjqAu2sVfpD8mzM2VubFNllcKKiyCzRYHhSbObRCPzsudDL9GPiXeGGaCuWg
-sDkiA1MESvf2tLETAGBs/TziO4GwmXUtlKbRiq1FYm90mVq9mBxPZ/Idn+yZusNB
-0O5SXIbI8lYZw5n4XTK4b+byHRBYsOTHiTsGvjTF2Y7oSwW2CVUmL6RZ23mI4qoY
-1p5kzRS+GjT1acnTei/FTsOlIKCsjfeHx7uxCkX6xpAD8P3UtLQqfsgH0CL4vSZt
-TGO6L1InQlp4ZG3OYIomTKbD3/R0wod3U3dTqdulQMXL895u6OLTY3spY2m2MO2k
-p9Dfd2pKuxK9Mys=
-=mhQZ
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-EPEL-6 b/RPM-GPG-KEY-EPEL-6
new file mode 100644
index 0000000..7a20304
--- /dev/null
+++ b/RPM-GPG-KEY-EPEL-6
@@ -0,0 +1,29 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.5 (GNU/Linux)
+
+mQINBEvSKUIBEADLGnUj24ZVKW7liFN/JA5CgtzlNnKs7sBg7fVbNWryiE3URbn1
+JXvrdwHtkKyY96/ifZ1Ld3lE2gOF61bGZ2CWwJNee76Sp9Z+isP8RQXbG5jwj/4B
+M9HK7phktqFVJ8VbY2jfTjcfxRvGM8YBwXF8hx0CDZURAjvf1xRSQJ7iAo58qcHn
+XtxOAvQmAbR9z6Q/h/D+Y/PhoIJp1OV4VNHCbCs9M7HUVBpgC53PDcTUQuwcgeY6
+pQgo9eT1eLNSZVrJ5Bctivl1UcD6P6CIGkkeT2gNhqindRPngUXGXW7Qzoefe+fV
+QqJSm7Tq2q9oqVZ46J964waCRItRySpuW5dxZO34WM6wsw2BP2MlACbH4l3luqtp
+Xo3Bvfnk+HAFH3HcMuwdaulxv7zYKXCfNoSfgrpEfo2Ex4Im/I3WdtwME/Gbnwdq
+3VJzgAxLVFhczDHwNkjmIdPAlNJ9/ixRjip4dgZtW8VcBCrNoL+LhDrIfjvnLdRu
+vBHy9P3sCF7FZycaHlMWP6RiLtHnEMGcbZ8QpQHi2dReU1wyr9QgguGU+jqSXYar
+1yEcsdRGasppNIZ8+Qawbm/a4doT10TEtPArhSoHlwbvqTDYjtfV92lC/2iwgO6g
+YgG9XrO4V8dV39Ffm7oLFfvTbg5mv4Q/E6AWo/gkjmtxkculbyAvjFtYAQARAQAB
+tCFFUEVMICg2KSA8ZXBlbEBmZWRvcmFwcm9qZWN0Lm9yZz6JAjYEEwECACAFAkvS
+KUICGw8GCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAKCRA7Sd8qBgi4lR/GD/wLGPv9
+qO39eyb9NlrwfKdUEo1tHxKdrhNz+XYrO4yVDTBZRPSuvL2yaoeSIhQOKhNPfEgT
+9mdsbsgcfmoHxmGVcn+lbheWsSvcgrXuz0gLt8TGGKGGROAoLXpuUsb1HNtKEOwP
+Q4z1uQ2nOz5hLRyDOV0I2LwYV8BjGIjBKUMFEUxFTsL7XOZkrAg/WbTH2PW3hrfS
+WtcRA7EYonI3B80d39ffws7SmyKbS5PmZjqOPuTvV2F0tMhKIhncBwoojWZPExft
+HpKhzKVh8fdDO/3P1y1Fk3Cin8UbCO9MWMFNR27fVzCANlEPljsHA+3Ez4F7uboF
+p0OOEov4Yyi4BEbgqZnthTG4ub9nyiupIZ3ckPHr3nVcDUGcL6lQD/nkmNVIeLYP
+x1uHPOSlWfuojAYgzRH6LL7Idg4FHHBA0to7FW8dQXFIOyNiJFAOT2j8P5+tVdq8
+wB0PDSH8yRpn4HdJ9RYquau4OkjluxOWf0uRaS//SUcCZh+1/KBEOmcvBHYRZA5J
+l/nakCgxGb2paQOzqqpOcHKvlyLuzO5uybMXaipLExTGJXBlXrbbASfXa/yGYSAG
+iVrGz9CE6676dMlm8F+s3XXE13QZrXmjloc6jwOljnfAkjTGXjiB7OULESed96MR
+XtfLk0W5Ab9pd7tKDR6QHI7rgHXfCopRnZ2VVQ==
+=V/6I
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/crb b/crb
deleted file mode 100755
index dfdd88f..0000000
--- a/crb
+++ /dev/null
@@ -1,99 +0,0 @@
-#!/bin/bash
-#
-# Enable / Disable / Status the codeready-builder(CRB) or equivalent repo.
-#
-# Copyright (C) 2024
-# SPDX-License-Identifier: GPL-2.0-only
-#
-# Authors:
-# Troy Dawson
-#
-
-
-###############
-# Show help
-###############
-usage() {
- echo "Usage `basename $0` [ enable | disable | status ] " >&2
- echo >&2
- echo "Enable, Disable, or give the status of the CodeReady Builder (CRB) repo" >&2
- echo >&2
- echo "Options:" >&2
- echo " enable" >&2
- echo " Enable the CRB repo" >&2
- echo " disable" >&2
- echo " Disable the CRB repo" >&2
- echo " status" >&2
- echo " Show if the CRB repo is enabled or disabled" >&2
- echo " help" >&2
- echo " Show this options menu" >&2
- echo >&2
- echo "Environment Variable:" >&2
- echo " FORCE_DNF=1 Set this before the command to force the use of" >&2
- echo " 'dnf config-manager' even on RHEL systems." >&2
- echo " Example: FORCE_DNF=1 $(basename "$0") enable" >&2
- echo >&2
- popd &>/dev/null
- exit 1
-}
-
-
-# Show the status
-show_status()(
- # Determine if a version of CRB is enabled
- crb_repo=$(dnf repolist | grep -i -e crb -e powertools -e codeready | grep -v -i -e debug -e source -e eus -e virt -e rhui | awk '{print $1}')
- if [ "${crb_repo}" == "" ] ; then
- echo "CRB repo is disabled"
- else
- echo "CRB repo is enabled and named: ${crb_repo}"
- fi
-)
-
-# Enable or Disable the repo
-enable_disable_repo(){
- command="$1"
- # Determine which repo we need to change
- crb_repo=$(dnf repolist --all | grep -i -e crb -e powertools -e codeready | grep -v -i -e debug -e source -e eus -e virt -e rhui | awk '{print $1}')
-
- # Determine if we are on RHEL or not, then do the correct steps
- source /etc/os-release
- if [[ "${FORCE_DNF:-0}" -eq 0 && "${NAME}" =~ "Red Hat" ]] ; then
- subscription-manager repos ${command} ${crb_repo}
- else
- # Determine if dnf-command(config-manager) is installed
- if ! rpm -q --whatprovides 'dnf-command(config-manager)' > /dev/null 2>&1 ; then
- echo "Error: Please run: dnf install 'dnf-command(config-manager)'" >&2
- echo " before trying to enable/disable the CRB repo." >&2
- echo "Aborting"'!' >&2
- exit 1
- fi
- # Everything else uses dnf config-manager
- dnf config-manager ${command} ${crb_repo}
- fi
-}
-
-###############
-# Get our arguments
-###############
-key="$1"
-case $key in
-enable | --enable )
- echo "Enabling CRB repo"
- enable_disable_repo --enable
- show_status
-;;
-disable | --disable )
- echo "Disabling CRB repo"
- enable_disable_repo --disable
- show_status
-;;
-status | --status )
- show_status
-;;
-* )
- usage
- exit 2
-;;
-esac
-
-exit 0
diff --git a/epel-release.spec b/epel-release.spec
index a866f61..c360cce 100644
--- a/epel-release.spec
+++ b/epel-release.spec
@@ -1,91 +1,128 @@
Name: epel-release
-Version: 10
-Release: %autorelease
+Version: 6
+Release: 10
Summary: Extra Packages for Enterprise Linux repository configuration
-# Most things in this package are not considered copyrightable. If that were
-# true for everything in the package, the license identifier would be
-# LicenseRef-Not-Copyrightable. However, the exception is the crb script,
-# which is GPL-2.0-only. Per advice from Fedora Legal, we should use
-# GPL-2.0-only as the license identifier for the package in this scenario.
-# https://bugzilla.redhat.com/show_bug.cgi?id=2302438
-License: GPL-2.0-only
-BuildArch: noarch
-URL: https://epel.io
-# keys
-Source10: https://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-%{version}
+Group: System Environment/Base
+License: GPLv2
-# repo configs
-Source20: epel.repo
-Source21: epel-testing.repo
+# This is a Red Hat maintained package which is specific to
+# our distribution. Thus the source is only available from
+# within this srpm.
+URL: http://dl.fedoraproject.org/pub/epel/
+Source0: http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-6
+Source1: GPL
+Source2: epel.repo
+Source3: epel-testing.repo
+Source4: macros.ghc-srpm
-# preset policy
-Source30: 90-epel.preset
-
-# Add epel crb script
-Source31: crb
-# epel crb script is licensed GPL-2.0-only
-Source32: GPL-2.0-only.txt
-
-# The setup process for EPEL involves installing epel-release before the EPEL
-# repository is available. For this to continue to work correctly, all
-# dependencies of this package must be available from the default repositories.
-# Notably, if weak dependencies of this package are not present at the time of
-# installation, they will be skipped and never get installed.
-# https://pagure.io/epel/issue/328
-
-# This should only be installed on Enterprise Linux with the same major version
-Requires: (redhat-release >= %{version} with redhat-release < %[%{version} + 1])
-
-# crb needs config-manager to run
-# But only recommend it, incase people do not need crb
-Recommends: dnf-command(config-manager)
-
-# SELinux policy modules related to EPEL
-Recommends: (selinux-policy-extra if selinux-policy)
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+BuildArch: noarch
+Requires: redhat-release >= %{version}
+Conflicts: fedora-release
%description
This package contains the Extra Packages for Enterprise Linux (EPEL) repository
-configuration and GPG key.
+GPG key as well as configuration for yum and up2date.
%prep
-%setup -q -c -T
-# Add epel crb script license
-install -pm 644 %{SOURCE32} .
+%setup -q -c -T
+install -pm 644 %{SOURCE0} .
+install -pm 644 %{SOURCE1} .
+
+%build
%install
-# keys
-install -Dp -m 0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{S:10}
+rm -rf $RPM_BUILD_ROOT
-# repo configs
-install -Dp -m 0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d %{S:20} %{S:21}
+#GPG Key
+install -Dpm 644 %{SOURCE0} \
+ $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
-# preset policy
-install -Dp -m 0644 -t %{buildroot}%{_prefix}/lib/systemd/system-preset %{S:30}
+# yum
+install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
+install -pm 644 %{SOURCE2} %{SOURCE3} \
+ $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
-# Add epel crb script
-install -D -pm744 -t %{buildroot}%{_bindir} %{SOURCE31}
+# rpm macros for koji
+install -Dpm 644 %{SOURCE4} \
+ $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.ghc-srpm
+%clean
+rm -rf $RPM_BUILD_ROOT
%post
-# Doing a check to see if crb is enabled is as hard and resource intense as enabling or disabling crb.
-# So we will say crb is recommended, without first checking. But only on the initial install.
-if [ "$1" -eq 1 ] ; then
- echo "Many EPEL packages require the CodeReady Builder (CRB) repository."
- echo "It is recommended that you run %{_bindir}/crb enable to enable the CRB repository."
-fi
+# Not needed for el6 as sources has been removed
+#echo "# epel repo -- added by epel-release " \
+# >> %{_sysconfdir}/sysconfig/rhn/sources
+#echo "yum epel http://download.fedora.redhat.com/pub/epel/%{version}/\$ARCH" \
+# >> %{_sysconfdir}/sysconfig/rhn/sources
+
+%postun
+#sed -i '/^yum\ epel/d' %{_sysconfdir}/sysconfig/rhn/sources
+#sed -i '/^\#\ epel\ repo\ /d' %{_sysconfdir}/sysconfig/rhn/sources
%files
-%license GPL-2.0-only.txt
-%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-%{version}
-%config(noreplace) %{_sysconfdir}/yum.repos.d/epel.repo
-%config(noreplace) %{_sysconfdir}/yum.repos.d/epel-testing.repo
-%{_prefix}/lib/systemd/system-preset/90-epel.preset
-%{_bindir}/crb
+%defattr(-,root,root,-)
+%doc GPL
+%config(noreplace) /etc/yum.repos.d/*
+/etc/pki/rpm-gpg/*
+/etc/rpm/macros.ghc-srpm
%changelog
-%autochangelog
+* Tue Nov 13 2018 Kevin Fenzi - 6-10
+- Revert previous commit, as it won't work.
+
+* Sun Nov 11 2018 Kevin Fenzi - 6-9
+- Add Conflicts on redhat-release => 7 to avoid people installing on EL7
+- Fixes bug #1645568
+
+* Sun Nov 04 2012 - 6-8
+- Fix URL bz #870686
+
+* Wed May 9 2012 Jens Petersen - 6-7
+- add ppc64 to ghc_arches
+
+* Tue Jan 10 2012 Jens Petersen - 6-6
+- add /etc/rpm/macros.ghc-srpm from fedora redhat-rpm-macros
+
+* Tue Oct 12 2010 Michael Stahnke - 6-5
+- Fix bug #627611
+
+* Wed Aug 11 2010 Seth Vidal - 6-4
+- conflict fedora-release
+
+* Fri Jul 09 2010 Dennis Gilmore - 6-3
+- use metalink urls not mirrorlist ones
+
+* Tue Apr 27 2010 Dennis Gilmore - 6-1
+- setup for EL-6
+- new key
+
+* Tue Feb 24 2009 Fedora Release Engineering - 6-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
+
+* Thu Jul 17 2008 Tom "spot" Callaway - 6.1
+- fix license tag
+
+* Sun Mar 25 2007 Michael Stahnke - 6-0
+- Bumped in devel to RHEL 6. (We can dream).
+
+* Sun Mar 25 2007 Michael Stahnke - 4-4
+- Changed description again
+
+* Sun Mar 25 2007 Michael Stahnke - 4-3
+- Removed cp in postun
+- Removed the file epel-release - provides no value
+- Removed dist tag as per review bug #233236
+- Changed description
+
+* Mon Mar 14 2007 Michael Stahnke - 4-2
+- Fixed up2date issues.
+
+* Mon Mar 12 2007 Michael Stahnke - 4-1
+- Initial Package
diff --git a/epel-testing.repo b/epel-testing.repo
index 8335438..97703b2 100644
--- a/epel-testing.repo
+++ b/epel-testing.repo
@@ -1,36 +1,26 @@
[epel-testing]
-name=Extra Packages for Enterprise Linux $releasever - Testing - $basearch
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/testing/$releasever${releasever_minor:+z}/Everything/$basearch/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-testing-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-countme=1
+name=Extra Packages for Enterprise Linux 6 - Testing - $basearch
+#baseurl=http://download.fedoraproject.org/pub/epel/testing/6/$basearch
+mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=testing-epel6&arch=$basearch
+failovermethod=priority
enabled=0
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
[epel-testing-debuginfo]
-name=Extra Packages for Enterprise Linux $releasever - Testing - $basearch - Debug
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/testing/$releasever${releasever_minor:+z}/Everything/$basearch/debug/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-testing-debug-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
+name=Extra Packages for Enterprise Linux 6 - Testing - $basearch - Debug
+#baseurl=http://download.fedoraproject.org/pub/epel/testing/6/$basearch/debug
+mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=testing-debug-epel6&arch=$basearch
+failovermethod=priority
enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
+gpgcheck=1
[epel-testing-source]
-name=Extra Packages for Enterprise Linux $releasever - Testing - $basearch - Source
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/testing/$releasever${releasever_minor:+z}/Everything/source/tree/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-testing-source-$releasever&arch=source
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
+name=Extra Packages for Enterprise Linux 6 - Testing - $basearch - Source
+#baseurl=http://download.fedoraproject.org/pub/epel/testing/6/SRPMS
+mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=testing-source-epel6&arch=$basearch
+failovermethod=priority
enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
+gpgcheck=1
diff --git a/epel.repo b/epel.repo
index f186dbd..0160dfe 100644
--- a/epel.repo
+++ b/epel.repo
@@ -1,36 +1,26 @@
[epel]
-name=Extra Packages for Enterprise Linux $releasever - $basearch
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/$releasever${releasever_minor:+z}/Everything/$basearch/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-countme=1
+name=Extra Packages for Enterprise Linux 6 - $basearch
+#baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch
+mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=$basearch
+failovermethod=priority
enabled=1
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
[epel-debuginfo]
-name=Extra Packages for Enterprise Linux $releasever - $basearch - Debug
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/$releasever${releasever_minor:+z}/Everything/$basearch/debug/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-debug-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
+name=Extra Packages for Enterprise Linux 6 - $basearch - Debug
+#baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch/debug
+mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-debug-6&arch=$basearch
+failovermethod=priority
enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
+gpgcheck=1
[epel-source]
-name=Extra Packages for Enterprise Linux $releasever - $basearch - Source
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/$releasever${releasever_minor:+z}/Everything/source/tree/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-source-$releasever&arch=source
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
+name=Extra Packages for Enterprise Linux 6 - $basearch - Source
+#baseurl=http://download.fedoraproject.org/pub/epel/6/SRPMS
+mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-source-6&arch=$basearch
+failovermethod=priority
enabled=0
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
+gpgcheck=1
diff --git a/macros.ghc-srpm b/macros.ghc-srpm
new file mode 100644
index 0000000..4a125ba
--- /dev/null
+++ b/macros.ghc-srpm
@@ -0,0 +1,3 @@
+# macro defining the archs that ghc runs on in epel
+%ghc_arches %{ix86} x86_64 ppc64
+%ghc_arches_with_ghci %{ix86} x86_64
diff --git a/sources b/sources
new file mode 100644
index 0000000..e69de29